hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daisuke Fujiwara (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HIVE-1612) Cannot build hive for hadoop 0.21.0
Date Tue, 12 Oct 2010 18:51:37 GMT

     [ https://issues.apache.org/jira/browse/HIVE-1612?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Daisuke Fujiwara updated HIVE-1612:
-----------------------------------

    Attachment: HIVE-1612.patch

Hi, 
I have managed to build Hive (trunk -r 1000628) against Hadoop 0.21.0.

Following is what I had to do to make it work. 
1. build Hive as instructed in Hive wiki (ant pacakge).
2. Copy hadoop-0.21.0.tar.gz to ${HIVE_DIR}/build/hadoopcore, untar it, and create/touch the
"hadoop-0.21.0.installed" file
3. Apply the patch
4. build Hive again by issuing ant package "-Dhadoop.version=0.21.0 -Doffline=true"

I understand that the patch and process to build is not in the pristine forms, but I would
like to get some feedback and see if I can pursue this further.

Thanks.

> Cannot build hive for hadoop 0.21.0
> -----------------------------------
>
>                 Key: HIVE-1612
>                 URL: https://issues.apache.org/jira/browse/HIVE-1612
>             Project: Hadoop Hive
>          Issue Type: Bug
>    Affects Versions: 0.7.0
>            Reporter: AJ Pahl
>         Attachments: HIVE-1612.patch
>
>
> Current trunk for 0.7.0 does not support building HIVE against the Hadoop 0.21.0 release.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message